QQ登录

只需一步,快速开始

扫一扫,访问微社区

登录 | 注册 | 找回密码

三维网

 找回密码
 注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

展开

通知     

系统
[系统通知] 每周精选(1/20)
20小时前
查看: 44568|回复: 255
收起左侧

[原创] autocad二次开发(VBA)就这么简单

[复制链接]
发表于 2007-1-8 14:31:16 | 显示全部楼层 |阅读模式

马上注册,结识高手,享用更多资源,轻松玩转三维网社区。

您需要 登录 才可以下载或查看,没有帐号?注册

x
运行autocad,创建一个新文件,Alt+F11(或者在菜单栏点“工具”→“宏”→“Visual Basic 编辑器”),在新出现的窗口菜单栏点“插入”→“模块”,输入下面的代码:& j: b* w% @2 I1 K

$ F1 c# Y# E; \" o# {Sub 我的第一个程序()3 u# m  L/ x1 ]5 }8 m) Y1 b  @
    Dim 直线1 As AcadLine' c% d$ x" N2 B% k* S
    Dim 起点(2) As Double& _( W7 Y5 E: J5 Y& p
    Dim 端点(2) As Double
5 x2 R7 S9 g/ P6 c/ W4 _2 Y    $ h* {3 L* I5 i5 K; h- m
    起点(0) = 10% ~/ r% E* S4 C2 p- Z4 }
    起点(1) = 20
* L  m/ U+ C% ~. |9 B$ [    端点(0) = 80
- O9 H% P" Z2 s/ r7 }# ]    端点(1) = 100* b; q& }6 P9 Q. l( i0 F" W2 t$ O! u
   
0 A7 [7 ^; h8 h- P% [  _8 N2 c1 Q    Set 直线1 = ThisDrawing.ModelSpace.AddLine(起点, 端点)
4 g3 y1 }: X# {* \, SEnd Sub6 v/ @9 q. @- Q

3 r, t  u# s2 |1 o6 Q0 q2 n检查一下,确信没有问题后按F52 F# N/ U, k3 }5 ^' W
回到autocad窗口,看见了吗?一条直线,起点坐标(10,20),端点坐标(80,100)  y0 p$ F; S: M7 @, N/ Z
+ r8 J* h" v/ K0 }" ~
这个程序的第一行里,“SUB”和“()”是必须有的(人家微软就是这么规定的,我也没办法),“我的第一个程序”是这个程序的名字(如果你不喜欢也可以改个别的名字,我无所谓)。
* b$ W' n7 u; Y% S# ^3 q, V  S第二行里,“Dim”是定义一个变量,“直线1”是要画的直线的名字(随便改,中英文都行),后面的英文必须有,意思是说:这是一条autocad直线。
) g6 b6 q& z& z第三行里,“起点(2)”是一个数组(因为我要用它给直线赋予起点,所以取了个直观的名字,又因为点的坐标是三维的,所以必须用能容纳三个数据的数组),后面的英文意思是“这个数据是双精度类型”。% r" n& I3 g& m* ^
第四行和第三行差不多,是用来给直线赋予端点的。
: g, U6 E* z" o2 @, h# L+ S, E3 ~. n第五行和第六行是分别赋值给起点的x和y坐标(因为起点的z坐标是0,而定义这个数组的时候,默认数据就是(0,0,0),所以就不用管z坐标了)。
2 Z9 {% j; B4 Z! c$ \& R; @第七行、第八行赋值给端点x和y坐标。
" X$ j2 M9 b( Y/ ^' t第九行画直线,在“当前文件”的“模型空间”“画直线(按起点和端点)”。! L1 P# J- }% f3 D3 n
第十行,完事了。5 L! ~* I! `3 r3 Z% @/ }' e

8 N( z; |/ V+ }, _. F& j有的网友一看见英文,头就会变大。别怕,如果你是用“复制/粘贴”把这段代码拷贝到VB编辑器里,就不会知道autocad有多么友善。试试用键盘把这段代码输入进去,你会发现,每到关键时刻,VBA就会提醒你下面该做什么了。
( f5 m" y7 q, o8 k3 l别听旁人瞎说autocad这不行、那不行,那是因为autocad的两个万能命令(一个是VBA,一个是lisp)你还没学会。这两个命令你只要学会一个(不用太精通,差不多就行),就没人敢说你不是高手。

评分

参与人数 1三维币 +3 收起 理由
blackbird + 3

查看全部评分

此贴共有 62 人浏览过
发表于 2007-1-8 18:55:51 | 显示全部楼层
赞成楼主的观点!学习的敌人就是畏惧!
发表于 2007-1-8 20:32:00 | 显示全部楼层
看来真的是比较容易,该找本书看目的地。
发表于 2007-1-9 08:15:02 | 显示全部楼层
既然楼主说这么容易,那我就试试吧
发表于 2007-1-9 08:40:35 | 显示全部楼层
增加我的学习信心,谢谢你啊,楼主
发表于 2007-1-9 08:49:13 | 显示全部楼层
为了更好的利用CAD工具,听从楼主的意见。学习一下干净二次开发知识。
 楼主| 发表于 2007-1-9 10:11:33 | 显示全部楼层
既然有网友对这个话题感兴趣,就再画个圆玩玩。
  ~! C2 K( v. Q! T/ z% q6 `9 d* k! s7 M, L" q+ n
Sub 画个圆玩玩()
/ S" K8 z4 J5 B    Dim 我真的是圆吗 As AcadCircle4 l' [2 J9 F, Y- C$ @; j
    Dim 我才是圆心呵呵(2) As Double
7 H$ s5 W3 V9 v' m    Dim 我是半径我愿意 As Double
$ y# `3 j9 q6 C/ D6 l! Y    我才是圆心呵呵(0) = 27.5555555555556" g( F+ ^' C. W0 D8 X9 E, a
    我才是圆心呵呵(1) = 69.12345678798
/ c' C  P$ x4 ]! c/ l    我是半径我愿意 = 38
! h* S' H5 u% ?4 O8 [    Set 我真的是圆吗 = ThisDrawing.ModelSpace.AddCircle(我才是圆心呵呵, 我是半径我愿意). n0 ]- h. ]" Z" J
End Sub1 t3 U; k7 t9 w* ~+ j! O# N
" h- d6 c1 m0 B1 w8 u  ~2 X
用键盘输入时,第一行输入完程序名直接按回车,不用输入“()”,VBA会替你把括号和最后一行填好的。其它的关键字也用不着每个字母都用键盘敲,自己试。$ Q7 E  m/ [8 [. A& ~# Z
, Y$ k! I, ?$ N* H6 N
[ 本帖最后由 woaishuijia 于 2007-1-9 10:20 编辑 ]
发表于 2007-1-9 10:34:14 | 显示全部楼层
还是不会哦* @/ K& u, ]# i; X( ?8 a
郁闷,有高手教教我吗/?想学学.
发表于 2007-1-13 13:34:57 | 显示全部楼层

我想学cad二次开发

我想学习一下cad的基本的二次开发,不知道哪位高手能交一下我啊, ?  h% t4 w. D" b; E4 E
我的qq是125720096,谢谢啦
发表于 2007-1-13 21:41:24 | 显示全部楼层
谢谢搂主,真的想在这方面学的深刻一点
 楼主| 发表于 2007-1-14 16:12:29 | 显示全部楼层

AAA

有了autocad基础,学习它的VBA并不难,关键是要找准突破口。下面是根据在下的学习经验编写的一个自认为有代表性的简单程序,只要你按步骤做下来,就会发现你已经进入了VBA的天地。5 `6 U  x  z3 ?6 [& C& d( C
    首先,在autocad上创建一个新文件,按Alt+F11进入Visual Basic编辑器。
- O2 H& Z0 u& ]; J    下面这项工作是我强烈建议你做的:在菜单栏点“工具”→“选项”,在选项窗口选中“要求变量声明”--这可以减少我们的低级错误。" K0 }7 F# o( r- a' }# \0 N
    下面开始编写我们的第一个VBA程序:让VBA在autocad的模型空间按我们指定的位置画一条直线。' V- V. d  Y6 S; ]7 G
    在编辑器的菜单栏点“插入”→“模块”,屏幕上出现了“模块1(代码)”窗口。在代码窗口的第一行是“Option Explicit”--如果你按我的建议在选项窗口选中了“要求变量声明”的话--在它的下面输入“sub A”,回车。窗口出现下面的代码:6 ^" c% z. G( p  j; K2 T) V

' _" e; _+ E) w! _( rSub A()
, y& x9 t1 c# F# [6 k  _4 m5 U; y
! E: \8 O5 F* n1 Z4 V' tEnd Sub3 N% B, e% a' I' q; G$ n! I

: P1 u- \% m. q* q0 M    “A”是这个宏的名字。你可以按自己的喜好随便给它取个什么名字,但必须是唯一的,因为它是这段程序的标志。取名字时最好不要用汉字,因为autocad的命令行不支持汉字参数,如果用了汉字,每次运行这段程序的时候就必须使用“宏”对话框,而不能使用命令行。, v( y; z2 r, q5 K
    在两行代码中间的空行键入“thisdrawing.”,屏幕上会出现一个提示窗口--后面的代码可以在这里面选择,而不是所有文本都靠键盘输入--继续键入“m”,提示窗口高亮显示的是“ModelSpace”--我们要的就是它。继续键入“.”,“ModelSpace.”自动进入了代码行,并且出现了一个新的提示窗口;继续键入“addlin”,提示窗口高亮显示的是“AddLine”,键入空格,它就自动上去了,而屏幕上又出现了一个提示行“AddLine(startpoint,endpoint)as acadline”,其中“startpoint”用粗体显示,这是在提示我们给出直线的起点。继续按下面的顺序键入字符“thisdrawing.ut.getp,thisdrawing.ut.getp”--VBA会像前面一样把我们的代码补全--再敲一下空格,整段代码就是现在这个样子:
0 b3 t( x, x' @+ C% q3 b" O: G, r9 \% h1 l# x
Sub A()- L8 n1 A% j/ |2 P6 w2 s1 U
    ThisDrawing.ModelSpace.AddLine ThisDrawing.Utility.GetPoint, ThisDrawing.Utility.GetPoint
: \' \* @% R/ O" K! j# T* l
End Sub
: @+ [& `" ?2 F% A# q! o
5 ?) n1 R3 ?+ W$ ?. Q# o. e! D
    这行代码中,“ThisDrawing.ModelSpace.AddLine”的意思是:在“当前文档”的“模型空间”“画直线”。这个画直线方法需要两个必不可少的参数,一个是起点三维坐标,另一个是端点三维坐标。在这行里,起、端点的坐标是由后面两部分代码提供的--“ThisDrawing.Utility.GetPoint”的意思是:在“当前文档”上“由用户输入”而“得到点坐标”。
/ ^9 g7 b7 l5 ^7 d  m    我们的第一个宏已经完成了,现在回到autocad窗口运行一下:
+ p% r' W6 O$ N5 g0 Y    在命令行键入“-vbarun”,回车,再键入"a",回车。光标已经变成了十字线,autocad在等着我们指定点。在屏幕上不同的位置点两下(也可以在命令行输入坐标),一条直线就画好了。
$ d# ?3 p$ S* r/ E5 ?2 ^% ^    我们的第一个程序编写成功。/ D& \- n0 Y+ d- j5 @
    不过别高兴得太早,这段程序有个BUG:再运行一次程序,指定第一个点后别指定第二个点,而是按“Esc”键,会跳出来一个窗口告诉我们程序有错误。) K" e/ `6 Q  j1 t
    按“结束”关闭这个窗口,回到VBA编辑器,在程序中添加两行代码,让它变成现在这个样子。
5 R6 f( m9 D6 B# H2 U( _2 p
5 U8 J# H; S1 C; X% ]) v' ySub A()/ L# I4 i! z- A4 F! {
On Error GoTo 100 C1 j) s. [# e- g6 w: p3 x
    ThisDrawing.ModelSpace.AddLine ThisDrawing.Utility.GetPoint, ThisDrawing.Utility.GetPoint4 y; l; a4 I- d# M6 w( x5 b
10( k# r* s3 t' Z8 `1 {
End Sub
9 |. |  [2 W# K) r$ h  ]+ k' i6 d
  W# s) m( m4 x5 B+ W; F' w5 [7 D- f6 C    这两行新增的代码告诉计算机“在出错时”“转向执行”“行号为10”的程序行。这个程序里“行号为10”的程序行是空行,程序就会继续向下执行“End Sub”结束程序。# B( x) J; U* H% V3 N, {: B( C( P" }
    再来告诉朋友们一个小技巧。刚才在键入代码时要键入三次“thisdrawing”,太麻烦了。现在把中间这行画直线的程序删掉,在原位置按照下面的方法重新输入:: l) _) m/ h- }4 @' ]8 s, M
    键入“with thisdrawing”,两次回车,键入“end with”。在中间的空行按下面的顺序键入“.m.addlin .ut.getp,.ut.getp”,空格。代码现在是这个样子:
4 G5 F6 Q0 E# s4 E
8 y6 f0 V/ d5 O8 F7 bSub A()
2 [. L; L9 W5 R( N& \8 ^) y" BOn Error GoTo 10' u& f/ p+ N. \/ V. `
    With ThisDrawing! R7 M8 R! r5 w; q( p
        .ModelSpace.AddLine .Utility.GetPoint, .Utility.GetPoint
) r5 ~' R8 t6 q6 g0 b    End With
6 j6 D" r4 W  f6 E& J3 i2 r1 b
106 x! I( Y* }9 z
End Sub$ T  s* `, }) |$ w/ h, N" q6 o0 n

2 v1 w) @- V1 i/ ^    在“With”和“End With”两行之间的所有代码可以省掉“ThisDrawing”,键入的工作量减少了很多。0 }1 Y5 L/ P5 h; }; _1 m
    程序是能用了,但还不够完美。比如说:指定第二个点时看不到第一个点在哪里;命令行里没有提示,不知道下一步要做什么。
: t+ V- U/ H4 J3 x5 o# {. a    现在来改进一下程序,让它在指定第二个点时从第一个点处引出一条线,像autocad画线时一样,还要在命令行加上提示内容。" y6 }# [  t! k/ g- u- D- \
    在上面的程序里,两个点的位置只有画线命令知道,我们并不知道。如果要在程序中不止一次使用这个点的坐标,就必须把这个坐标放到一个地方存放起来,用到的时候就去取。6 d  L/ `+ Y  j! C, N# L5 }
    在上面的程序中补充、修改一些代码,让它变成这个样子:
& u1 O% c3 f  U$ d# X# m! A# y$ E8 \$ O3 }0 L0 W
Sub A(), ]" q0 D: A% i& a& M: }9 ~: U1 m
On Error GoTo 107 N0 d% ^/ K- O
    Dim B As Variant
! `& q+ Z+ @9 T& r- Y# d5 G    With ThisDrawing8 F5 z8 q  r5 o! W
        B = .Utility.GetPoint(, vbCrLf & "指定起点:")9 s* a! G* d& k" V! V) g/ X5 T
        .ModelSpace.AddLine B, .Utility.GetPoint(B, vbCrLf & "指定端点:")
  x4 R; [8 Z& G    End With( t/ E" _8 g, O6 c4 j& _
101 K6 b3 x5 d3 J$ E1 Q
End Sub
, {  _+ K9 h* \# k, i0 I. r* D' @, C6 C  f5 u8 f6 n
    新增加的第三行意思是:定义一个“变体”类型(相当于万能)变量,名字叫“B”--其实这就是一个存放数据的地址。
" k3 o7 \' z, O    第五行的意思是把“当前文档”上“由用户输入”而“得到点的三维坐标”存放到“B”。有一个变化,就是“GetPoint”(得到点坐标)的后面增加了一对括号,里面是参数。该方法共有两个参数:第一个参数是一个三维坐标,第二个参数是命令行提示符。两个参数都是可省略的,在前面的程序中这两个参数就被省略了。% N2 M5 c0 T( T# I% }& p
    第六行中,画直线方法的起点坐标直接用“B”,端点坐标还是使用得到点坐标方法,和前面不同的是得到点坐标方法的第一个参数被指定为“B”,它的作用是在“B”点和十字光标间显示一条提示性的直线。
& R& P& c. h- I$ b8 ]    字符串要用""括起来,让计算机知道这是一串字符而不是别的东西。字符串前面的“vbCrLf &”是这个字符串的另一部分。其中“vbCrLf”是一个VB常数,相当于“回车+换行”;“&”是连接符,用来把两个部分连接起来(也可以用“+”号)。提示符中有了“vbCrLf &”,该字符串就会在命令行中以单独的一行出现;如果把它去掉,提示符就会和“命令:”在同一行里显示。
. l6 A& J& V5 e6 Y( K1 k    在这段程序里,我们用到了错误陷阱、定义变量、赋值语句、操作autocad对象画直线的方法和一个VB常数。下面再把这个程序扩展一下,学习更多的VB语句和对象操作方法。
, E8 s, w& p" S, @    按用户的指令决定是否画一个圆,这个圆以刚才画的直线中点为圆心、以直线长度为直径。
6 \2 k; O6 k8 r, l0 c, b# D, l$ ?$ n    下面是修改后的代码:- M% w+ A& `& y4 B9 L

6 p4 w; @: g8 y. F# D+ OSub A()4 f0 y; \  M9 c' H
On Error GoTo 10
  P( q6 \; s& l+ u" F# l    Dim B As Variant '定义一个变体类型变量,用于存放直线起点坐标,被赋值后变为数组
: C1 U  z1 _' b/ s. J& i    Dim C As AcadLine '定义一个Acad直线对象类型变量,用于存放直线对象$ {; i6 P) X5 b& k
    Dim D As Variant '定义一个变体类型变量,用于存放直线端点坐标,被赋值后变为数组' N+ R( [" [1 S& e3 ?- d, V
    Dim E As String '定义一个字符串类型变量,用于接收用户键盘输入的参数8 _0 O6 I4 l- k3 r
    Dim F(2) As Double '定义一个双精度类型数组,用于存放圆心三维坐标
& o( r, U" L8 }1 l' W& S    Dim R As Double '定义一个双精度类型变量,用于存放圆的半径* m, t* m7 r0 f2 p. r2 M6 S. d* t
    + g8 z% w( |% C- U
    With ThisDrawing
9 ^8 H, K" O6 Z        B = .Utility.GetPoint(, vbCrLf + "指定起点:") '由用户指定一个点的位置,将坐标赋值给B
& I1 K/ E; I) V: n        Set C = .ModelSpace.AddLine(B, .Utility.GetPoint(B, vbCrLf + "指定端点:")) '从上一个点出发,由用户指定另一个点的位置,在两点间画一条直线,将此直线赋值给C- D7 Y* @% R& O6 |' ]9 d8 [: Q5 L
        D = C.EndPoint '将直线C的端点坐标赋值给D
+ _& j9 P4 d2 @
        .Utility.InitializeUserInput 0, "Y N" '规定用户输入Y或N关键字,可以接受直接按回车键或空格键做为默认输入7 C. @' [# ]. }$ K0 x, z2 Z1 B0 ^0 k
        E = .Utility.GetKeyword(vbCrLf & "是否画圆[是(Y)/否(N)]<Y>:") '得到用户输入的关键字并赋值给E  j* a+ ]$ x. }$ B/ ^( i
        If E = "Y" Or E = "" Then '如果用户输入的是Y或直接按的回车或空格,则执行下面画圆的代码,否则跳过下面五行代码% g3 n( j: n; e6 P/ [9 b! Q0 Q
            F(0) = (B(0) + D(0)) / 2 '这三行是计算圆心即直线中点坐标,取直线起点X坐标和端点X坐标的平均值赋值给圆心的X坐标变量
$ N, a. D5 P; g1 }2 q. g3 n- z
            F(1) = (B(1) + D(1)) / 2 '取直线起点Y坐标和端点Y坐标的平均值赋值给圆心的Y坐标变量# M! ~9 q7 f2 L$ Q$ U/ }, c& Q4 Z. V
            F(2) = (B(2) + D(2)) / 2 '取直线起点Z坐标和端点Z坐标的平均值赋值给圆心的Z坐标变量
" p4 G- B- i1 q; c3 N            R = Sqr((D(0) - B(0)) ^ 2 + (D(1) - B(1)) ^ 2 + (D(2) - B(2)) ^ 2) / 2 '用勾股定理计算圆的半径
- k4 p- k! M9 j- p. u            .ModelSpace.AddCircle F, R '在当前文档的模型空间画圆,以F为圆心,R为半径4 N7 G3 M, w- n- t$ J5 Z
        End If
; E3 u5 H9 T! @& n. A
    End With
' N; z5 |/ v5 h4 s0 g3 ~10
: t" c* z# y2 {/ B2 QEnd Sub" i) m! K) k1 n8 M1 `% Z* O

0 x) \4 ^" \( l1 G0 x" Z    这段程序和前面程序的主要区别有:0 L% E8 }/ _! ~
1、使用了注释语句。单引号后面的文字在程序运行时不被执行,仅起到对编程者的提示作用。这在编制大一点的程序时是很有用的,否则过段时间你自己都会忘记当初是怎么编的了。$ X: s4 L( q- Z( [
2、定义变量时,同样是三维坐标,B和D被定义为变体类型,F被定义为双精度数组。这是因为B和D是由方法或对象的属性直接用“点”赋值的,B和D得到数据后自动变为数组;F是由我们对三维坐标分别运算后赋值,只能用数组。
$ w  A, i' B, s  n3、“Set C =...."这行,对直线赋值时,参数用括号括起来了。在前面的程序中,直线只是画了出来,并没有赋值给某个变量(没有=号),参数就不能用括号;现在它被赋值给一个变量了,参数要括起来。这是语法。
" |1 s( a. f- ]7 g% A. R4、“InitializeUserInput”方法有两个参数,第二个参数是关键字列表;第一个参数是对输入方式的限制,这里用了0,可以接受直接按回车键或空格键做为默认输入,但默认输入的是空字符串,而不是关键字列表中的一个。
6 E; F4 E7 Z( \, Z5 x5、“If...Then...End If”使用了条件转移语句。具体用法可以参见VB资料。
7 e1 S8 {: E1 O8 U! c; m2 A% Z    弄懂了这段程序,其实你对VBA已经初窥门径了。当然,VB语法和autocad对象远不止这些,但也都大同小异,学会了这些,再学其它的就容易了,就像我们学会了WORD,再学EXCEL就很容易一样。不要被VBA帮助文件那浩如烟海的资料所吓倒,其实那里面绝大部分东西用法都差不多。学会了基本的几个,再浏览一下帮助文件,知道这里面都有什么东西,用到的时候现查都来得及。
3 |9 i8 H) d: `0 E    上传一个《Visual Basic 语言参考-函数速查》,希望对学习VBA的朋友有用。
" L' \  F% Y0 a) N1 ?6 ]
, f* L6 k( x2 J  C[ 本帖最后由 woaishuijia 于 2007-1-14 16:17 编辑 ]

Visual Basic 语言参考-函数速查.rar

498.79 KB, 下载次数: 1234

评分

参与人数 1三维币 +10 收起 理由
★新手★ + 10 技术分享!奖!

查看全部评分

发表于 2007-1-14 21:54:37 | 显示全部楼层

楼主真是历害

偶也CAD几年了啊,对这是一巧不通啊,真是惭愧啊,楼主能指点下吗?万分感谢啊
发表于 2007-2-1 17:43:03 | 显示全部楼层
非常感谢,学习学习,想完了做几个程序试试
发表于 2007-2-2 19:14:28 | 显示全部楼层
我的宏里怎么一片空白啊  没有Visual Basic 编辑器
 楼主| 发表于 2007-2-3 06:32:18 | 显示全部楼层

回复 #14 shaoshuai968 的帖子

可能安装autocad时用的是“简单”模式,没有选择安装VBA编辑器吧?用安装盘添加试试。
发表于 2007-2-6 17:57:13 | 显示全部楼层

試著用VB.NET來二次開發吧!

真的!速度會讓你感動。
发表于 2007-2-15 10:02:52 | 显示全部楼层
看来论坛里面是强手如云啊,以前我还自认为自己的水准还可以的,现在看来差远了!!
发表于 2007-2-20 03:13:17 | 显示全部楼层
能不能开辟一个二次开发的专栏?
发表于 2007-2-20 10:29:15 | 显示全部楼层
楼主真是有心,深入浅出地引导大家对VBA和LISP的兴趣,不久,我们坛子一定会出现好多高手了,这样也就能提高我们的工作效率,远一点地说就能提高我们国民的水平。多有楼主这样的人,我们国家早晚都会成为世界的强国。: X* b! f* w8 e$ ~: t2 _. h# w( n- d
发表于 2007-7-15 15:16:34 | 显示全部楼层
vba对我来说实在是很难,难的是不知道从哪里下手啊?# }5 k! o, O% y/ ^* o  Z- C# }9 S8 M
请高手指点~
发表于 2007-7-17 21:11:18 | 显示全部楼层
由简到难嘛
发表于 2007-7-18 08:49:53 | 显示全部楼层
嘿嘿,偶也正在学习.如果开一个二次开发的子板块就好了.
发表于 2007-7-18 08:59:45 | 显示全部楼层
为什么我打开以后插入菜单下为灰色,不能使用呢?
11.jpg
发表于 2007-7-18 15:40:08 | 显示全部楼层

题目不错,我看不简单.

题目不错,我看不简单.要达到实际应用更不简单!0 `6 C1 ]5 e# [2 |
! X" y/ k# }* S3 F  b
而软件开发更注重的应该是实际应用!
发表于 2007-7-21 13:20:29 | 显示全部楼层
嘻嘻哈哈,现在是.NET的时代了,VB,C++都已经升级了,VISUAL STUDIO 的开发环境是非常棒的
发表回复
您需要登录后才可以回帖 登录 | 注册

本版积分规则



Licensed Copyright © 2016-2020 http://www.3dportal.cn/ All Rights Reserved 京 ICP备13008828号

小黑屋|手机版|Archiver|三维网 ( 京ICP备13008828号 )

快速回复 返回顶部 返回列表